UndefineArgument (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.types.UndefineArgument class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.types
Class UndefineArgument

    java.lang.Object
      net.sf.antcontrib.cpptasks.types.UndefineArgument

Direct Known Subclasses:
  DefineArgument

    public class UndefineArgument

extends java.lang.Object

Preprocessor macro undefinition.

Author:
  Mark A Russell mark_russell@csg_systems.com

Constructor Summary
`` | `UndefineArgument()`
`protected` | `UndefineArgument(boolean isDefine)`

Method Summary
`void` | `execute()`
`java.lang.String` | `getName()` Returns the name of the define
`java.lang.String` | `getValue()` Returns the value of the define
`boolean` | `isActive(org.apache.tools.ant.Project p)` Returns true if the define's if and unless conditions (if any) are satisfied.
`boolean` | `isDefine()` Returns true if this is a define, false if an undefine.
`static UndefineArgument[]` | `merge(UndefineArgument[] base, UndefineArgument[] override)` This method returns an array of UndefineArgument and DefineArgument's by merging a base list with an override list.
`void` | `setIf(java.lang.String propName)` Sets the property name for the 'if' condition.
`void` | `setName(java.lang.String name)` Set the name attribute
`void` | `setUnless(java.lang.String propName)` Set the property name for the 'unless' condition.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UndefineArgument

    public UndefineArgument()

### UndefineArgument

    protected UndefineArgument(boolean isDefine)

Method Detail

### merge

    public static UndefineArgument[] merge(UndefineArgument[] base,
                                           UndefineArgument[] override)

  This method returns an array of UndefineArgument and DefineArgument's by merging a base list with an override list. Any define in the base list with a name that appears in the override list is suppressed. All entries in the override list are preserved

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### getName

    public final java.lang.String getName()

  Returns the name of the define

### getValue

    public java.lang.String getValue()

  Returns the value of the define

### isActive

    public final boolean isActive(org.apache.tools.ant.Project p)
                           throws org.apache.tools.ant.BuildException

  Returns true if the define's if and unless conditions (if any) are satisfied.

  Throws:
    `org.apache.tools.ant.BuildException` - throws build exception if name is not set

### isDefine

    public final boolean isDefine()

  Returns true if this is a define, false if an undefine.

### setIf

    public final void setIf(java.lang.String propName)

  Sets the property name for the 'if' condition. The define will be ignored unless the property is defined. The value of the property is insignificant, but values that would imply misinterpretation ("false", "no") will throw an exception when evaluated.

  Parameters:
    `propName` - property name

### setName

    public final void setName(java.lang.String name)

  Set the name attribute

### setUnless

    public final void setUnless(java.lang.String propName)

  Set the property name for the 'unless' condition. If named property is set, the define will be ignored. The value of the property is insignificant, but values that would imply misinterpretation ("false", "no") of the behavior will throw an exception when evaluated.

  Parameters:
    `propName` - name of property

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.